Sign in to follow this  
Corey Langford

Virtual CDU 737 connects but does not display FMC

Recommended Posts

Hi all,

 

So the issue is that when I try to connect my Virtual CDU 737 to my computer running VAInterface (latest version 2.20.3) and FSX the sim launches fine as does the Interface but heres the problem, when I go to connect my phone running version 1.10 (latest version) of the Virtual CDU 737 app it will connect and on the screen says as follows:

 

 

CONNECTED

TO VAINTERFACE

Version 2.20.3.11642

 

 

<DISCONNECT

 

So it displays that on the screen (sim is open and running fine) and won't change to the actual FMC in the VC like it does in the 777 version of the app (sorry didn't mention I have that and am to lazy and pressed for time to edit the post). The 777 Virtual CDU works fine so I would love to know why this does not and what I can do to fix it.

 

Thanks in advance,

Corey

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hello Corey,

 

This is usually caused by a SimConnect failure and the best way to avoid it is loading a default aircraft (or having a default flight saved with a default aircraft) prior to loading the PMDG 737 NGX.

 

If you are already doing this or if it doesn't resolve the issue, please enable the VAInterface logs (check the instructions on the FAQ: General - How to enable logs? in our Support page) and open a Technical Support ticket (link at the bottom of the Support page) ,attaching the log file(s) to the ticket form.

 

Best Regards,

 

Ricardo.

 

VA Support Team

Share this post


Link to post
Share on other sites

 

 


This is usually caused by a SimConnect failure and the best way to avoid it is loading a default aircraft (or having a default flight saved with a default aircraft) prior to loading the PMDG 737 NGX.

 

The thing is though I have the Virtual CDU for the 777 as well and works perfectly fine, as it should. With default flights I have saved flights with the 777 and the 737NGX but they are not default flights, my default flight is the original (trike, fair weather, friday harbour and 6am if I remember correctly) and I am somehow still getting this problem.

 

 


If you are already doing this or if it doesn't resolve the issue, please enable the VAInterface logs (check the instructions on the FAQ: General - How to enable logs? in our Support page) and open a Technical Support ticket (link at the bottom of the Support page) ,attaching the log file(s) to the ticket form.

 

I have logging enabled already but will look for the tech support ticket.

 

Thank you,

Corey

Share this post


Link to post
Share on other sites

The important thing is to initialize the sim with a default aircraft.

Try completely loading any default (Ultra Light, default 737, etc) aircraft until it is ready to fly on the track.

Then load the NGX.

 

If that doesn't help, then get the log so we will take a look on it.

 

Ricardo.

 

VA Support Team

Share this post


Link to post
Share on other sites

The important thing is to initialize the sim with a default aircraft.

Try completely loading any default (Ultra Light, default 737, etc) aircraft until it is ready to fly on the track.

Then load the NGX.

 

Ok will try, thanks

 

 

The important thing is to initialize the sim with a default aircraft.

Try completely loading any default (Ultra Light, default 737, etc) aircraft until it is ready to fly on the track.

Then load the NGX.

 

Nope doesn't work. I loaded the default FSX flight, then landed and changed to the 737NGX no location change just aircraft, then connected. Still same message:

 

                CONNECTED

             TO VAINTERFACE

           Version 2.20.3.11642

 

 

<DISCONNECT

 

Virtual Avionics Virtual CDU app version is v1.5

Share this post


Link to post
Share on other sites

In that case, please open the ticket and attach the log file.

We will take a look at it.

 

Ricardo.

Share this post


Link to post
Share on other sites

It wouldn't be anything to do with the version of the app would? Because I have version 1.5 but have seen its on version 1.10. Would that make a difference? I'm not sure why I haven't got the update, it's "Not available".

Share this post


Link to post
Share on other sites

It is hardly the app version - although you should update it. 

Try uninstalling and then downloading it again (use the same Google Account you purchased it originally).

 

It might be related to the PMDG version though.

The log file will tell if that is the case.

Anyway, you should update that to the latest if is not already.

  • Upvote 1

Share this post


Link to post
Share on other sites

I had the same problem but assigning a static ip address to the windows 10 host machine solved it right away. Now connects instantly and displays cdu with zero lag.

Share this post


Link to post
Share on other sites

hi,

 

i am having the same problem,

i have reinstall the vainterface and the result still the same

 

thx

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this